Version cuda

what version of cuda is needed for the gtx 970 graphics card

The GTX970 (Maxwell, Compute 5.2), will work with Cuda 11.5.